@use 'sass/mixin';
@use 'sass/size';
@use 'sass/color';

@mixin table-column($width) {
  word-wrap: break-word !important;
  white-space: unset !important;
  flex: 0 0 $width !important;
  width: $width !important;
  overflow-wrap: break-word;
  word-wrap: break-word;
  word-break: break-word;

  -ms-hyphens: auto;
  -moz-hyphens: auto;
  -webkit-hyphens: auto;
  hyphens: auto;
}

.admin-dashboard-container {
  @include mixin.page(row);
  height: calc(100vh - #{size.$header-size} - #{size.$footer-size});
  align-content: stretch;
  & > div {
    height: calc(50% - 0.5 * #{size.$gap});
  }
}

.top-card {
  @include mixin.card;
  flex-basis: 100%;
  flex-grow: 0;
  padding: size.$gap;
  .scroll-wrapper {
    height: 100%;
    overflow-y: scroll;
    table {
      width: 100%;
      .mat-column-headline {
        @include table-column(20ch);
      }
      .mat-column-state {
        @include table-column(6ch);
      }
      .mat-column-date {
        @include table-column(13ch);
      }
      .mat-column-action {
        @include table-column(12ch);
      }
      .mat-cell > p {
        margin: 0;
      }
      .headline-container {
        vertical-align: top;
        padding: 9px 1ch 9px 24px !important; // values taken from mat-table
      }
      .text-container {
        vertical-align: top;
      }
      .state-container {
        text-align: center;
        .draft-icon {
          color: rgba(color.$text, 0.5);
        }
      }
      .actions-container > .flex-container {
        @include mixin.center-items;
        .up-down-buttons {
          @include mixin.center-items;
          flex-flow: column nowrap;
        }
        .action-buttons {
          cursor: pointer;
        }
      }
      .mat-cell {
        padding: 0.5 * size.$gap 0;
        word-wrap: anywhere;
        white-space: pre-line;
      }
    }
  }
}

.left-card {
  @include mixin.card;
  padding: size.$gap;
  flex-grow: 5;
  .edit-form {
    height: 100%;
    @include mixin.center-items;
    flex-flow: column nowrap;
    .mat-form-field {
      width: 100%;
      &.stretch-height {
        // behaves weird on textarea resize
        flex: 1;
        *:not(span) {
          height: 100%;
        }
        overflow-y: hidden;
      }
    }
  }
  .edit-button-container {
    @include mixin.center-items;
    gap: size.$gap;
    width: 100%;
  }
}

.right-card {
  height: calc(50% - 0.5 * #{size.$gap}) !important;
  @include mixin.card;
  flex-basis: 50ch;
  flex-grow: 1;
  .newsfeed-container {
    height: 100%;
    .newsfeed-card {
      height: 100% !important;
    }
    .report-card {
      display: none;
    }
  }
}

// .dashboard-container {
//   display: flex;
// }

// .dashboard-newsManage-container {
//   flex-grow: 3;
//   margin-right: 10px;
// }
// .dashboard-newsManage-container > mat-card {
//   margin-top: 39px;
//   margin-left: 20px;
// }

// .dashboard-newsPreview-container {
//   flex: 0 0 25%;
// }
// .dashboard-newsPreview-container > div {
//   margin-top: 10px;
// }

// .dashboard-newsEditor-wrapper {
//   display: flex;
//   flex-direction: column;
// }

// table {
//   width: 100%;
// }

// .table-row {
//   cursor: pointer;
// }

// .table-row:hover {
//   background-color: #eeeeee;
// }

// .action-buttons {
//   margin-right: 0.5em;
//   transition: all 0.2s ease-in-out;
//   cursor: pointer;
//   vertical-align: middle;
// }

// .action-buttons:hover {
//   transform: scale(1.4);
// }

// form {
//   width: 95%;
//   display: flex;
//   flex-direction: column;
//   margin: 1.5rem auto 0;
//   padding: 1em;
// }

// .postButtonWrapper {
//   text-align: end;
//   display: flex;
//   justify-content: center;
//   flex-flow: row wrap;
//   gap: 10px;
// }

// .news {
//   width: 95%;
//   margin: 2em auto;
// }

// .news td {
//   padding: 0 5px;
// }

// .newsDateHeader {
//   width: 100px;
// }
// .newsActionsHeader {
//   width: 85px;
// }

// .newsActionsUpDownWrapper {
//   display: inline-flex;
//   flex-direction: column;
// }
// .newsActionsUpDownWrapper > .material-icons {
//   font-size: 20px;
// }
// .newsActionsUpDownWrapper > .material-icons:hover {
//   transform: scale(1.2);
// }

// .newsItem {
//   font-weight: 300;
//   padding: 0.2rem 1rem;
// }

// ::ng-deep .adminDashboardAddNewsDate label > span {
//   font-size: 20px !important;
// }

// .adminDashboardMessageTextField {
//   width: '100%';
//   max-width: 50em;
// }

// // ::ng-deep
// //   .news
// //   table
// //   tbody
// //   tr:first-child
// //   .newsActionsUpDownWrapper
// //   i:first-child {
// //   visibility: hidden;
// // }
// // ::ng-deep
// //   .news
// //   table
// //   tbody
// //   tr:last-child
// //   .newsActionsUpDownWrapper
// //   i:last-child {
// //   visibility: hidden;
// // }
// ::ng-deep mat-list-item {
//   height: fit-content !important;
// }
// .white {
//   color: white;
// }

// .draft-indicator {
//   font-size: 0.7em;
//   font-weight: 1000;
//   padding: 0;
//   color: rgba(0, 0, 0, 0.54);
//   margin-left: -6px;
//   background-color: rgba(0, 0, 0, 0.1);
//   text-transform: uppercase;
// }
